ipc_addid
Prev | IPC utilities | Next

## Name

ipc_addid — add an IPC identifier

## Synopsis

`int ipc_addid (` | struct ipc_ids * | ids,
| struct kern_ipc_perm * | new,
| int | size`)`;

## Arguments

`ids`

  IPC identifier set

`new`

  new IPC permission set

`size`

  limit for the number of used ids

## Description

Add an entry 'new' to the IPC ids idr. The permissions object is initialised and the first free entry is set up and the id assigned is returned. The 'new' entry is returned in a locked state on success. On failure the entry is not locked and a negative err-code is returned.

Called with ipc_ids.rw_mutex held as a writer.

Prev | Up | Next
ipc_get_maxid | Home | ipcget_new